Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.usermgmt.query
Enum GroupQueryType

    java.lang.Object
      java.lang.Enum<GroupQueryType>
          com.bea.p13n.usermgmt.query.GroupQueryType

All Implemented Interfaces
  Serializable, Comparable<GroupQueryType>

    public enum GroupQueryType

extends Enum<GroupQueryType>

Enum Constant Summary
`ALL_CHILD_GROUPS`
`ALL_GROUPS`
`ALL_PARENT_GROUPS`
`ALL_TOP_LEVEL_GROUPS`
`IMMED_CHILD_GROUPS`
`IMMED_PARENT_GROUPS`
`UNRELATED_GROUPS`

Method Summary
`static GroupQueryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupQueryType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_GROUPS

    public static final GroupQueryType ALL_GROUPS

### ALL_CHILD_GROUPS

    public static final GroupQueryType ALL_CHILD_GROUPS

### IMMED_CHILD_GROUPS

    public static final GroupQueryType IMMED_CHILD_GROUPS

### ALL_PARENT_GROUPS

    public static final GroupQueryType ALL_PARENT_GROUPS

### IMMED_PARENT_GROUPS

    public static final GroupQueryType IMMED_PARENT_GROUPS

### ALL_TOP_LEVEL_GROUPS

    public static final GroupQueryType ALL_TOP_LEVEL_GROUPS

### UNRELATED_GROUPS

    public static final GroupQueryType UNRELATED_GROUPS

Method Detail

### values

    public static final GroupQueryType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static GroupQueryType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved